
# Limites connues

## Dimensionnement du logiciel et temps de réponse des pages

Chill pourra supporter un très grand nombre d'usagers accompagnés, sans craindre pour les performances.

Des tests ont été réalisés avec plus d'un millions d'usagers enregistrés. L'utilisation du logiciel reste satisfaisante.

Il en ressort cependant que les fonctionnalités de recherche parmi les usagers sont affectées lorsqu'un grand nombre de résultats sont renvoyés par une recherche. Autrement dit, si plusieurs milliers d'usager portent le même nom que celui recherché, alors elle est plus lente à traiter.

Une recherche sur des termes plus long (par exemple, le nom complet plutôt que des parties du noms) est donc plus rapide qu'une recherche par uniquement quelques lettres de ce nom.

Chill est donc plus affecté par l'hétérégonéité des noms des usagers, que par le volume d'usagers, tiers, et contacts enregistrés dans la base de donnée.

A l'heure d'écrire ces lignes (septembre 2021), le travail d'optimalisation des recherches de termes qui renverraient plusieurs milliers d'usagers n'a pas été optimisé.

## Résolution du territoire par usager, et mise en cache

La recherche du territoire de l'usager en fonction de l'adresse est une requête coûteuse. Pour accélérer le chargement des pages, cette information est mise en cache pendant une durée relativement courte, de l'ordre de 30 minutes.

Lorsqu'un ménage change d'adresse, et que la nouvelle adresse est un nouveau territoire, le nouveau territoire ne sera donc pris en compte qu'après ce délai. Cela concerne l'affichage du territoire dans l'interface, mais également les droits des utilisateurs.

